Package com.tietoenator.trip.jxp.ccl

# Enum Class TdbKernelWindowType

java.lang.Object
java.lang.Enum<TdbKernelWindowType>
com.tietoenator.trip.jxp.ccl.TdbKernelWindowType

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbKernelWindowType>`, `Constable`

public enum TdbKernelWindowType extends Enum<TdbKernelWindowType>
Enumeration of available kernel window types

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Display`
  Results from Display orders
  Applications should use TdbTermList and TdbTermTree to intercept Display results for easier application handling.
  `Expand`
  Results from expanding a focus selection
  `History`
  The user's search history
  Applications should use TdbHistoryDetail objects created by the TdbCclCommand processor instead of this kernel window.
  `PrintLocal`
  Contains the results of Print Local orders
  `Show`
  Results from a show or show focus order
  `SysInfo`
  System information window, contains results from orders such as STatus, FREQuency, MEASure, etc.
  `Undefined`
  Not a valid window type

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TdbKernelWindowType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbKernelWindowType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Undefined

    public static final TdbKernelWindowType Undefined
    Not a valid window type

  - ### Show

    public static final TdbKernelWindowType Show
    Results from a show or show focus order

  - ### Expand

    public static final TdbKernelWindowType Expand
    Results from expanding a focus selection

  - ### Display

    public static final TdbKernelWindowType Display
    Results from Display orders
    Applications should use TdbTermList and TdbTermTree to intercept Display results for easier application handling. This window type is fully supported, but the contents of the window do not yield to simple processing.

  - ### History

    public static final TdbKernelWindowType History
    The user's search history
    Applications should use TdbHistoryDetail objects created by the TdbCclCommand processor instead of this kernel window.

  - ### SysInfo

    public static final TdbKernelWindowType SysInfo
    System information window, contains results from orders such as STatus, FREQuency, MEASure, etc.

  - ### PrintLocal

    public static final TdbKernelWindowType PrintLocal
    Contains the results of Print Local orders

- ## Method Details

  - ### values

    public static TdbKernelWindowType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbKernelWindowType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null